curl --request POST \
--url https://api.ephra.io/v1/products/{productId}/offer-plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Mentoria de Copywriting — Mensal",
"price": 19900,
"frequency": "monthly",
"renewalType": "until_cancelled",
"hasDifferentFirstPrice": true,
"firstChargePrice": 24900,
"admissionFeePrice": 5000
}
'import requests
url = "https://api.ephra.io/v1/products/{productId}/offer-plans"
payload = {
"title": "Mentoria de Copywriting — Mensal",
"price": 19900,
"frequency": "monthly",
"renewalType": "until_cancelled",
"hasDifferentFirstPrice": True,
"firstChargePrice": 24900,
"admissionFeePrice": 5000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Mentoria de Copywriting — Mensal',
price: 19900,
frequency: 'monthly',
renewalType: 'until_cancelled',
hasDifferentFirstPrice: true,
firstChargePrice: 24900,
admissionFeePrice: 5000
})
};
fetch('https://api.ephra.io/v1/products/{productId}/offer-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 4822,
"productId": "clx8a2h4k0001qz0a1b2c3d4e",
"title": "Mentoria de Copywriting — Mensal",
"slug": "copywriting-mensal",
"price": 19900,
"compareAtPrice": null,
"sku": null,
"paymentMethods": [
"credit_card"
],
"active": true,
"isDefault": true,
"promotional": false,
"hiddenFromAffiliates": false,
"sortOrder": 0,
"expiresAt": null,
"frequency": "monthly",
"renewalType": "until_cancelled",
"maxCharges": null,
"hasDifferentFirstPrice": true,
"firstChargePrice": 24900,
"admissionFeePrice": 5000,
"createdAt": "2026-09-01T13:45:00.000Z",
"updatedAt": "2026-09-10T08:12:00.000Z"
}
}{
"success": false,
"message": "Não foi possível concluir: uma regra de negócio recusou os dados enviados."
}{
"success": false,
"message": "Token inválido ou expirado"
}{
"success": false,
"message": "Recurso não encontrado"
}{
"success": false,
"message": "name: Nome é obrigatório"
}{
"success": false,
"message": "Muitas requisições. Tente novamente em breve."
}{
"success": false,
"message": "Erro interno do servidor"
}Criar um plano de assinatura
Cria uma oferta recorrente: o comprador é cobrado no intervalo escolhido até cancelar, ou por um número fixo de cobranças. Só vale para produto digital com cobrança de assinatura; qualquer outro caso responde 400.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identificador do produto dono da oferta.
1Body
Nome do plano no checkout.
2 - 200Valor de cada cobrança, em centavos.
x >= 500Intervalo entre as cobranças do plano.
weekly, monthly, bimonthly, quarterly, semiannual, annual Renova até o cancelamento ou para depois de N cobranças.
until_cancelled, fixed_charges Número de cobranças quando renewalType é fixed_charges.
x > 0A primeira cobrança tem valor próprio.
Valor da primeira cobrança, em centavos.
x >= 500Taxa de adesão somada só à primeira cobrança, em centavos.
x > 0Marca o plano como promoção.
Preço "de" riscado, em centavos.
x > 0Momento em que o plano para de aceitar novas assinaturas.
